Page MenuHomePhabricator

Don’t select term_entity_type in TermSqlIndex
Closed, ResolvedPublic

Description

Some queries of TermSqlIndex::getMatchingTerms() are still selecting the term_entity_type even though it should no longer be used, and this seems to negatively affect SQL performance.

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as High priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2018, 1:47 PM

Change 434919 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] Stop selecting term_entity_type

https://gerrit.wikimedia.org/r/434919

Change 434919 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Stop selecting term_entity_type

https://gerrit.wikimedia.org/r/434919

Vvjjkkii renamed this task from Don’t select term_entity_type in TermSqlIndex to 6ccaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed Lucas_Werkmeister_WMDE as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.

Isn't this done?

Lucas_Werkmeister_WMDE closed this task as Resolved.Dec 4 2018, 10:43 AM

I think so, yes.